<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>


</head>
<body>
    <div class="navbar navbar-static-top navbar-inverse" role="navigation" aria-label="navbar">
        <div class="container">
            <span><a class='navbar-brand' rel="nofollow" href='#' style="font-family:Luckiest Guy; font-size:x-large;">
                <span class="glyphicon glyphicon-film" style="color:#ffcc00;"></span>&nbsp;<b>MoViEs</b>
                    </a>
            </span>
            <ul class="nav navbar-nav pull-right">

                <li class="dropdown">
                    {% if user.is_authenticated %}
                        <a href="#" class="dropdown-toggle log" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <span class="glyphicon glyphicon-user"></span> {{ user.username }}
                        <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                        <li><a href="/api-auth/logout/"><b>logout</b></a>
                        </li>
                        </ul>
                    {% else %}
                        <a href="/api-auth/login/" class="log"><b>login</b></a>
                    {% endif %}
                </li>
            </ul>
        </div>
    </div>
<div class="container">
    <br/>
    <div class="panel panel-default ">
        <div class="panel-heading">
            <h3>

            <a href="{% url 'catalog:movies' %}">Movie List</a>

            {% if user.is_superuser %}
                <a href="{% url 'catalog:movielist' %}" class="btn btn-primary btn-sm pull-right" > Create </a>
            {% endif %}
            </h3>
        </div>
        <div class="panel-body">
            <table class="table table-hover table-condensed table-responsive" id="movietable">
                <thead>
                <tr >
                    <th style=" visibility: hidden;">ID</th>
                    <th>Movie Name</th>
                    <th>Director</th>
                    <th>IMDB Score</th>
                    <th>Popularity</th>
                    <th>Genres
                        {% if user.is_superuser %}
                        <a href="{% url 'catalog:genreslist' %}" class="btn btn-primary btn-xs" >Add</a>
                        {% endif %}</th>
                </tr>
                </thead>
            {% for each_movie in movielist %}
                <tr style="font-size:small;">
                    <td style=" visibility: hidden;">{{ each_movie.id }}</td>
                    <th><a href="{% url 'catalog:movieedit' each_movie.pk %}">{{ each_movie.name }}</a></th>
                <td>{{ each_movie.director }}</td>
                <td>{{ each_movie.imdb_score }}</td>
                <td>{{ each_movie.popularity }}</td>
                <td>
                    {% for each_cat in gen %}
                            <ul>
                            {% if each_cat.movie.id == each_movie.id %}
                                <li><b>
                                    {% if user.is_superuser %}
                                        <a href="{% url 'catalog:genresedit' each_cat.pk %}">
                                            {{ each_cat.category|capfirst }}
                                        </a>
                                    {% else %}
                                        <a href="{% url 'catalog:genresshow' each_cat.pk %}">
                                            {{ each_cat.category|capfirst }}
                                        </a>

                                    {% endif %}
                                </b></li>
                            {% endif %}
                            </ul>
                    {% endfor %}

                </td>
                </tr>
            {% endfor %}
            </table>
        </div>
    </div>
</div>
    </table>


</body>

</html>